ChiliProject - Feature # 607: Inline issue editing within list view/custom query
Remote issue URL:
Affected version:
Description: It would be very helpful to be able to edit issues directly within the issue list view.

For example, if the Priority column is included in the issue list/custom query, as user could directly edit the
priority of a particular issue, perhaps by double-clicking on the priority of that issue and being presented with
an, inline, drop-down.

This would allow for quickly updating various aspects of several issues, without having to "go into" each -
which can be quite painstaking process and a confusing one if several people are involved/watching at once.

Associated revisions

2008-02-10 02:17 pm - Jean-Philippe Lang
Issue list now supports bulk edit/move/delete (#563, #607). For now, issues from different projects can not be bulk edited/moved/deleted at once.

There are 2 ways to select a set of issues on the issue list:
* by using checkbox and/or the little pencil that will select/unselect all issues (#567)

* by clicking on the rows (but not on the links), Ctrl and Shift keys can be used to select multiple issues

Context menu was disabled on links so that the default context menu of the browser is displayed when right-clicking on a link (#545).
All this was tested with Firefox 2, IE 6/7, Opera 8 (use Alt+Click instead of Right-click) and Safari 2/3.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1130 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-09-05 10:17 am - Holger Just
- Status changed from Open to Needs more information

We have a right-click context-menu on issue lists which allow you to change almost all fields of one or multiple issues at once. So while | agree that this

feature is not overly discoverable, it should solve your issue right now. We are working on improving this with #263.

Does this solve your issue?

2011-09-05 11:42 pm - James Robertson
Thanks for getting back to me Holger. | usually use it for bulk editing and admit hadn't thought about it for quick-edits on individual tickets.

Can you edit custom fields from the context menu though [unfortunately this feature is currently broken in our install]? If not, perhaps that should be a
separate feature request, which might satisfy this one.

The other thing I like about inline editing is that it's better for when you're working with several people looking at the screen, because it's easy for them
to see what is happening.
